Subject: bug#40845: SVG rendering issues

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Apr 2020 20:02:53 +0300

> Cc: [email-masked]
> From: Clément Pit-Claudel <[email-masked]>
> Date: Sat, 25 Apr 2020 12:42:07 -0400
> 
> >>> 3. The SVG images don't inherit the foreground of the current face; instead, they use a black foreground.
> >>
> >> Also, IIRC, 3 is an rsvg issue.
> > 
> > I don't think I understand what item 3 is complaining about.  If I
> > visit etc/images/splash.svg, it gets the background color of the
> > default face.  So is the complaint that it takes the background from
> > the default face instead of the current face?  That should be easy to
> > fix, I think, as this code in svg_load_image shows:
> 
> That's item 2:
> 
>   2. The SVG images don't inherit the background of the current face; instead, they inherit the background of the default face.
> 
> and you summarized it exactly right.  Item 3 is about the color of the circle that the repro draws. . It should be purple, but it's black.

Ah, sorry.

But IMO the foreground of an image shouldn't be affected by the
current face's foreground.  Images should come with their own colors,
and be displayed like that.  I think in the context of the discussion
that led to this bug report it's actually almost a must: we want
images with attractive colors to serve as the icons, we don't want
them to be affected by whatever face happens to be nearby.